Bug 117850 - Quitting LibreOffice on macOS while About dialog is open causes process to get stuck consuming CPU
Summary: Quitting LibreOffice on macOS while About dialog is open causes process to ge...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.4.7.2 release
Hardware: All Mac OS X (All)
: high normal
Assignee: Tor Lillqvist
URL:
Whiteboard: target:6.2.0 target:6.0.5 target:6.1.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-28 09:48 UTC by Tor Lillqvist
Modified: 2018-05-30 14:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2018-05-28 09:48:03 UTC
Description:
Open LibreOffice > About LibreOffice. With the About window still open, press Cmd-Q. The LibreOffice windows amen menu go away, but the LibreOffice entry in the task switcher (Cmd-Tab) stays there, and the soffice process keeps consuming CPU.

Steps to Reproduce:
See above.

Actual Results:  
Process stuck and consumes CPU.

Expected Results:
Process goes away.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_4) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/11.1 Safari/605.1.15
Comment 1 Tor Lillqvist 2018-05-28 13:18:26 UTC
Suggested fix in https://gerrit.libreoffice.org/#/c/54924/
Comment 2 Commit Notification 2018-05-28 18:30:36 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa81a086bd3dcd7d6b830951619f310bd0aff30c

tdf#117850: Just call _Exit() in our applicationWillTerminate:

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-05-29 20:05:24 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1eeeaccc3337510df93b147f5905fca3416fc48&h=libreoffice-6-0

tdf#117850: Just call _Exit() in our applicationWillTerminate:

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-05-30 06:28:19 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7753fe2d3a6ffd421af4fb4ce4dcebbf0377a765&h=libreoffice-6-1

tdf#117850: Just call _Exit() in our applicationWillTerminate:

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.